Get Transaction Travel Rule Data
curl --request GET \
--url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/transactions/{transaction_id}/travel_ruleimport requests
url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/transactions/{transaction_id}/travel_rule"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/transactions/{transaction_id}/travel_rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fulfilled": true,
"is_self": true,
"originator": {
"name": "<string>",
"natural_person_name": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>"
},
"address": {
"address_1": "<string>",
"address_2": "<string>",
"address_3": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"postal_code": "<string>"
},
"wallet_type": "TRAVEL_RULE_WALLET_TYPE_UNSPECIFIED",
"vasp_id": "<string>",
"vasp_name": "<string>",
"personal_id": "<string>",
"date_of_birth": {
"year": 123,
"month": 123,
"day": 123
},
"telephone_number": "<string>",
"account_id": "<string>"
},
"beneficiary": {
"name": "<string>",
"natural_person_name": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>"
},
"address": {
"address_1": "<string>",
"address_2": "<string>",
"address_3": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"postal_code": "<string>"
},
"wallet_type": "TRAVEL_RULE_WALLET_TYPE_UNSPECIFIED",
"vasp_id": "<string>",
"vasp_name": "<string>",
"personal_id": "<string>",
"date_of_birth": {
"year": 123,
"month": 123,
"day": 123
},
"telephone_number": "<string>",
"account_id": "<string>"
},
"amount": "<string>",
"amount_currency": "<string>",
"fiat_amount": "<string>",
"fiat_amount_currency": "<string>",
"blockchain_network": "<string>"
}Travel Rule
Get Transaction Travel Rule Data
(Beta) Get fulfilled travel rule data for a transaction.
GET
/
v1
/
portfolios
/
{portfolio_id}
/
transactions
/
{transaction_id}
/
travel_rule
Get Transaction Travel Rule Data
Path Parameters
The portfolio ID that owns the transaction
The transaction ID to look up travel rule data for
Response
200 - application/json
A successful response.
Represents a party in a travel rule transfer (originator or beneficiary).
Show child attributes
Show child attributes
Represents a party in a travel rule transfer (originator or beneficiary).
Show child attributes
Show child attributes
Was this page helpful?
⌘I